Bug 452142 - Grouped task tooltip doesn't resize correctly in RTL environment
Summary: Grouped task tooltip doesn't resize correctly in RTL environment
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: master
Platform: openSUSE RPMs Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: rtl
Depends on:
Blocks:
 
Reported: 2022-04-01 08:43 UTC by Fushan Wen
Modified: 2022-04-11 19:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments
RTL tooltip.png (714.73 KB, image/png)
2022-04-01 08:43 UTC, Fushan Wen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2022-04-01 08:43:03 UTC
Created attachment 147875 [details]
RTL tooltip.png

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. Run `LANG=ar_GB plasmashell --replace`
2. Open many Konsole windows
3. Hover on any other task icon 
4. Hover on the Konsole task icon

OBSERVED RESULT
The tooltip doesn't resize to the screen's width

EXPECTED RESULT
Resize correctly like in LTR environment.

SOFTWARE/OS VERSIONS
Information for package plasma5-desktop:
----------------------------------------
Repository     : @System
Name           : plasma5-desktop
Version        : 5.24.80git.20220331T172116~f25987d05-ku.38.1
Arch           : x86_64
Vendor         : obs://build.opensuse.org/KDE:Unstable
Installed Size : 8.7 MiB
Installed      : Yes
Status         : up-to-date
Source package : plasma5-desktop-5.24.80git.20220331T172116~f25987d05-ku.38.1.src
Upstream URL   : http://www.kde.org/
Summary        : The KDE Plasma Workspace Components
Comment 1 Nate Graham 2022-04-11 19:53:14 UTC
Git commit 3121da66ffd69f329572d65fad7b480e9b598202 by Nate Graham, on behalf of Fushan Wen.
Committed on 11/04/2022 at 19:51.
Pushed by ngraham into branch 'master'.

taskmanager: Estimate the size of grouped tooltips

On Wayland, a tooltip has a significant resize process, so estimate the size first.

This also fixes the bug that in RTL environment, grouped task tooltips
don't resize correctly.

M  +8    -2    applets/taskmanager/package/contents/ui/ToolTipDelegate.qml

https://invent.kde.org/plasma/plasma-desktop/commit/3121da66ffd69f329572d65fad7b480e9b598202